<?php
/**
 * This Software is the property of Data Development and is protected
 * by copyright law - it is NOT Freeware.
 *
 * Any unauthorized use of this software without a valid license
 * is a violation of the license agreement and will be prosecuted by
 * civil and criminal law.
 *
 * http://www.shopmodule.com
 *
 * @copyright  D Data Development, Thomas Dartsch
 * @author    D Data Development <support@shopmodule.com>
 * @link      http://www.oxidmodule.com
 */

/**
 * Class d3_oxpicturehandler_watermark
 */
class d3_oxpicturehandler_watermark extends d3_oxpicturehandler_watermark_parent
{
    public function getPicUrl($sPath, $sFile, $sSize, $sIndex = null, $sAltPath = false, $bSsl = null)
    {
        $sUrl = parent::getPicUrl($sPath, $sFile, $sSize, $sIndex, $sAltPath, $bSsl);

        if (strtolower(oxRegistry::getConfig()->getEdition()) == 'ee') {
            $aSize = $this->getImageSize($sSize, $sIndex);

            $sSearch = "{$aSize[0]}_{$aSize[1]}_" . $this->getConfig()->getConfigParam('sDefaultImageQuality');
            $sReplace = $sSearch.'_'.oxRegistry::getConfig()->getShopId();
            $sUrl = str_replace($sSearch, $sReplace, $sUrl);
        }

        return $sUrl;
    }
}
